=== modified file 'loggerhead/__init__.py'
--- loggerhead/__init__.py	2008-07-29 20:48:16 +0000
+++ loggerhead/__init__.py	2008-07-29 22:00:33 +0000
@@ -14,3 +14,4 @@
 
 """Just a simple container to turn this into a python package."""
 __version__ = '1.6'
+required_bzrlib = (1, 6)

=== modified file 'setup.py'
--- setup.py	2008-07-29 20:49:41 +0000
+++ setup.py	2008-07-29 22:00:33 +0000
@@ -25,12 +25,37 @@
 import os
 import sys
 import loggerhead
-
-
+import bzrlib
+
+
+# Make sure you have all required dependencies
 if sys.version_info < (2, 4):
     sys.stderr.write("[ERROR] Not a supported Python version. Need 2.4+\n")
     sys.exit(1)
 
+bzrlib_version = bzrlib.version_info[:2]
+try:
+    from bzrlib.trace import warning
+except ImportError:
+    from warnings import warn as warning
+if bzrlib_version < loggerhead.required_bzrlib:
+    from bzrlib.errors import BzrError
+    warning('Installed Bazaar version %s is too old to be used with loggerhead'
+            ' %s.' % (bzrlib.__version__, __version__))
+    raise BzrError('Version mismatch: %r, %r' % (version_info, 
+                                                 bzrlib.version_info) )
+
+try:
+    import paste
+except ImportError:
+    raise errors.BzrCommandError("python-paste not installed.")
+try:
+    import simpletal
+except ImportError:
+    raise errors.BzrCommandError("python-simpletal not installed.")
+
+
+
 class InstallData(install_data):
     def run(self):
         install_data.run(self)

